Get one new item request
get
/fscmRestApi/resources/11.13.18.05/newItemRequests/{NewItemRequestId}
Request
Path Parameters
-
NewItemRequestId(required): integer
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : newItemRequests-item-response
Type:
Show Source
object-
ApprovalDate: string
(date-time)
Read Only:
trueDate when the new item request object was approved. -
ApprovalRequestDate: string
(date-time)
Read Only:
trueDate when new item request approval was received. -
ApprovalStatusType: integer
(int64)
Read Only:
trueValue that identifies the approval status of the new item request. -
ApprovalStatusValue: string
Read Only:
trueMaximum Length:255Value that indicates the approval status of the new item request. -
AssignedTo: string
User assigned to the new item request object.
-
attachments: array
New Item Request Line Attachments
Title:
New Item Request Line AttachmentsThe New Item Request attachments of Affected Items resource contains details of the items attachments in the new item request. -
CancellationDate: string
(date-time)
Read Only:
trueDate when the new item request was canceled. -
ChangeTypeId: integer
(int64)
Value that uniquely identifies the type of the new item request.
-
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the new item request object. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user created the new item request. -
Description: string
Title:
DescriptionMaximum Length:2000Description of the new item request. -
ImplementationDate: string
(date-time)
Read Only:
trueDate when the new item request was implemented. -
InitiationDate: string
(date-time)
Read Only:
trueDate when the new item request was initiated. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the user most recently updated the new item request. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the new item request. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NeedByDate: string
(date-time)
Date by when the new item request is required.
-
newItemRequestAffectedItems: array
New Item Request Lines
Title:
New Item Request LinesNew item line of the new item request object. -
NewItemRequestId: integer
(int64)
Read Only:
trueValue that uniquely identifies the new item request. -
NewItemRequestName: string
Title:
NameMaximum Length:240Name of the new item request. -
NewItemRequestNumber: string
Title:
NumberMaximum Length:50Number corresponding to the new item request. -
newItemRequestsDFF: array
newItemRequestsDFF
Descriptive flexfield extensions for the new item request object.
-
NewItemRequestType: string
Maximum Length:
255Value that indicates the type identifier corresponding to the new item request. -
OrganizationCode: string
Maximum Length:
255Abbreviation that identifies the organization of the new item request. -
OrganizationId: integer
(int64)
Value that uniquely identifies the organization of the new item request.
-
Priority: string
Maximum Length:
255Value that indicates the priority of the new item request object. -
PriorityCode: string
Maximum Length:
30Abbreviation that identifies the priority of the new item request. -
Reason: string
Maximum Length:
255Value that indicates the reason for requesting the new item request. -
ReasonCode: string
Maximum Length:
30Abbreviation that identifies the reason for the new item request. -
RequestedBy: string
User who requested the new item request.
-
Status: string
Read Only:
trueMaximum Length:255Value that indicates the status of the new item request. -
StatusCode: integer
(int64)
Read Only:
trueDefault Value:0Abbreviation that identifies the status of the new item request. -
StatusType: integer
(int64)
Read Only:
trueDefault Value:0Value that indicates the type of status of the new item request.
Nested Schema : New Item Request Line Attachments
Type:
arrayTitle:
New Item Request Line AttachmentsThe New Item Request attachments of Affected Items resource contains details of the items attachments in the new item request.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : New Item Request Lines
Type:
arrayTitle:
New Item Request LinesNew item line of the new item request object.
Show Source
Nested Schema : newItemRequestsDFF
Type:
arrayDescriptive flexfield extensions for the new item request object.
Show Source
Nested Schema : newItemRequests-attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAsynchronous tracker ID value for the affected item attachment on a new item request. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdAttached document ID for the affected item attachment on a new item request. -
CategoryName: string
Title:
CategoryMaximum Length:30Category name for the affected item attachment on a new item request. -
ContentRepositoryFileCheckedOutBy: string
Title:
Checked Out ByThe user who has checked out the new item request affected items attachment from the repository. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255User who created the affected item attachment on a new item request. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueName of the user who created the affected item attachment on a new item request. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueCreation date of the affected item attachment on a new item request. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEData type code for the affected item attachment on a new item request. -
DataTypeName: string
Type of data for the affected item attachment on a new item request.
-
Description: string
Title:
DescriptionMaximum Length:255Description of the affected item attachment on a new item request. -
DmDocumentId: string
Maximum Length:
255DM (Document Management) document ID for the affected item attachment on a new item request. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000DM folder path for the affected item attachment on a new item request. -
DmVersionNumber: string
Maximum Length:
255DM version number for the affected item attachment on a new item request. -
DocumentPreviewURL: string
Read Only:
trueMaximum Length:255Document preview value for the affected item attachment on a new item request. -
DownloadInfo: string
Title:
DownloadInfoDownload info for the affected item attachment on a new item request. -
ErrorStatusCode: string
Title:
Error Status CodeError status code for the affected item attachment on a new item request. -
ErrorStatusMessage: string
Title:
Error Status MessageError status message for the affected item attachment on a new item request. -
ExpirationDate: string
(date-time)
Title:
Expiration DateExpiration data for the affected item attachment on a new item request. -
FileContents: string
(byte)
Title:
File ContentsFile contents of the affected item attachment on a new item request. -
FileName: string
Title:
File NameMaximum Length:2048File name of the affected item attachment on a new item request. -
FileUrl: string
Title:
File UrlFile URL of the affected item attachment on a new item request. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueFile web image for the affected item attachment on a new item request. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueLast update date of the affected item attachment on a new item request. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255User who last updated the affected item attachment on a new item request. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueName of the user who last updated the affected item attachment on a new item request. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionPostprocessing action for the affected item attachment on a new item request. -
Title: string
Title:
TitleTitle of the affected item attachment on a new item request. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeUploaded file content type for the affected item attachment on a new item request. -
UploadedFileLength: integer
Title:
File SizeUploaded file length for the affected item attachment on a new item request. -
UploadedFileName: string
Title:
Uploaded File NameUploaded file name for the affected item attachment on a new item request. -
UploadedText: string
Title:
Uploaded TextUploaded text for the affected item attachment on a new item request. -
Uri: string
Title:
UriMaximum Length:4000URI for the affected item attachment on a new item request. -
Url: string
Title:
UrlMaximum Length:4000URL for the affected item attachment on a new item request. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255Name for the affected item attachment on a new item request.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : newItemRequests-newItemRequestAffectedItems-item-response
Type:
Show Source
object-
attachments: array
New Item Request Line Attachments
Title:
New Item Request Line AttachmentsThe New Item Request attachments of Affected Items resource contains details of the items attachments in the new item request. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who added the item to the new item request. -
CreationDate: string
(date-time)
Read Only:
trueDate when the user added the item to the new item request. -
Description: string
Read Only:
trueMaximum Length:240Description of the item. -
EffectiveDate: string
(date-time)
Date when the item becomes effective.
-
ItemClass: string
Read Only:
trueMaximum Length:255Class of the item in the new item request. -
ItemClassCode: string
Title:
Item ClassRead Only:trueMaximum Length:80Abbreviation that identifies the item class. -
ItemId: integer
Value that uniquely identifies the item.
-
ItemNumber: string
Read Only:
trueMaximum Length:1000Number that identifies the item in the new item request. -
ItemRevision: string
Maximum Length:
255Revision of the item. -
ItemRevisionId: integer
Value that uniquely identifies the item revision.
-
ItemStatus: string
Read Only:
trueMaximum Length:255Value that identifies the status of the item. -
ItemStatusCode: string
Title:
Item StatusRead Only:trueMaximum Length:10Abbreviation that identifies the status of the item. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the item was most recently updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the item in the new item request. -
LineStatus: string
Read Only:
trueMaximum Length:255Value that identifies the status of the item within the new item request. -
LineStatusCode: integer
(int64)
Read Only:
trueAbbreviation that identifies the status of the item within the new item request. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NewItemRequestId: integer
Read Only:
trueValue that uniquely identifies the new item request. -
NewItemRequestLineId: integer
(int64)
Read Only:
trueValue that uniquely identifies the item in the new item request. -
newItemRequestLineTranslations: array
New Item Request Line Translations
Title:
New Item Request Line TranslationsAn array of one or more instances which holds translatable values. -
NewItemRequestNumber: string
Read Only:
trueMaximum Length:255Number that identifies the new item request.
Nested Schema : New Item Request Line Attachments
Type:
arrayTitle:
New Item Request Line AttachmentsThe New Item Request attachments of Affected Items resource contains details of the items attachments in the new item request.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : New Item Request Line Translations
Type:
arrayTitle:
New Item Request Line TranslationsAn array of one or more instances which holds translatable values.
Show Source
Nested Schema : newItemRequests-newItemRequestAffectedItems-attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAsynchronous tracker ID value for the affected item attachment on a new item request. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdAttached document ID for the affected item attachment on a new item request. -
CategoryName: string
Title:
CategoryMaximum Length:30Category name for the affected item attachment on a new item request. -
ContentRepositoryFileCheckedOutBy: string
Title:
Checked Out ByThe user who has checked out the new item request affected items attachment from the repository. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255User who created the affected item attachment on a new item request. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueName of the user who created the affected item attachment on a new item request. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueCreation date of the affected item attachment on a new item request. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEData type code for the affected item attachment on a new item request. -
DataTypeName: string
Type of data for the affected item attachment on a new item request.
-
Description: string
Title:
DescriptionMaximum Length:255Description of the affected item attachment on a new item request. -
DmDocumentId: string
Maximum Length:
255DM (Document Management) document ID for the affected item attachment on a new item request. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000DM folder path for the affected item attachment on a new item request. -
DmVersionNumber: string
Maximum Length:
255DM version number for the affected item attachment on a new item request. -
DocumentPreviewURL: string
Read Only:
trueMaximum Length:255Document preview value for the affected item attachment on a new item request. -
DownloadInfo: string
Title:
DownloadInfoDownload info for the affected item attachment on a new item request. -
ErrorStatusCode: string
Title:
Error Status CodeError status code for the affected item attachment on a new item request. -
ErrorStatusMessage: string
Title:
Error Status MessageError status message for the affected item attachment on a new item request. -
ExpirationDate: string
(date-time)
Title:
Expiration DateExpiration data for the affected item attachment on a new item request. -
FileContents: string
(byte)
Title:
File ContentsFile contents of the affected item attachment on a new item request. -
FileName: string
Title:
File NameMaximum Length:2048File name of the affected item attachment on a new item request. -
FileUrl: string
Title:
File UrlFile URL of the affected item attachment on a new item request. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueFile web image for the affected item attachment on a new item request. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueLast update date of the affected item attachment on a new item request. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255User who last updated the affected item attachment on a new item request. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueName of the user who last updated the affected item attachment on a new item request. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionPostprocessing action for the affected item attachment on a new item request. -
Title: string
Title:
TitleTitle of the affected item attachment on a new item request. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeUploaded file content type for the affected item attachment on a new item request. -
UploadedFileLength: integer
Title:
File SizeUploaded file length for the affected item attachment on a new item request. -
UploadedFileName: string
Title:
Uploaded File NameUploaded file name for the affected item attachment on a new item request. -
UploadedText: string
Title:
Uploaded TextUploaded text for the affected item attachment on a new item request. -
Uri: string
Title:
UriMaximum Length:4000URI for the affected item attachment on a new item request. -
Url: string
Title:
UrlMaximum Length:4000URL for the affected item attachment on a new item request. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255Name for the affected item attachment on a new item request.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : newItemRequests-newItemRequestAffectedItems-newItemRequestLineTranslations-item-response
Type:
Show Source
object-
CancelComments: string
Maximum Length:
240Comments for the cancel action. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the translation. -
CreationDate: string
(date-time)
Read Only:
trueCreation date of the translation. -
Description: string
Maximum Length:
2000Description of the translation. -
Language: string
Maximum Length:
4Language of the translation. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the translation was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the translation. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Login that the user used when updating the translation. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Name: string
Maximum Length:
240Name of the translation. -
ObjectVersionNumber: integer
(int32)
Version number of the translation.
-
SourceLang: string
Maximum Length:
4Source language of the translation.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : newItemRequests-newItemRequestsDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context SegmentMaximum Length:30Context Segment -
BaseChangeMgmtTypeCode: string
Maximum Length:
30 -
ChangeId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- attachments
-
Parameters:
- NewItemRequestId:
$request.path.NewItemRequestId
The New Item Request attachments of Affected Items resource contains details of the items attachments in the new item request. - NewItemRequestId:
- newItemRequestAffectedItems
-
Parameters:
- NewItemRequestId:
$request.path.NewItemRequestId
New item line of the new item request object. - NewItemRequestId:
- newItemRequestsDFF
-
Operation: /fscmRestApi/resources/11.13.18.05/newItemRequests/{NewItemRequestId}/child/newItemRequestsDFFParameters:
- NewItemRequestId:
$request.path.NewItemRequestId
- NewItemRequestId:
Examples
This example describes how to get one new item request.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/newItemRequests/NewItemRequestId"
For example, the following command gets one new item request:
curl -u username:password "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534"
Example Response Body
The following shows an example of the response body in JSON format.
{
"ApprovalDate": null,
"ApprovalRequestDate": null,
"ApprovalStatusType": 1,
"CancellationDate": null,
"ChangeTypeId": 100000011980001,
"CreatedBy": "PIMQA",
"CreationDate": "2018-12-06T22:19:45-08:00",
"Description": null,
"ImplementationDate": null,
"InitiationDate": "2018-12-06T00:00:00-08:00",
"LastUpdateDate": "2018-12-06T22:20:04.114-08:00",
"LastUpdatedBy": "PIMQA",
"NeedByDate": null,
"OrganizationId": 204,
"ReasonCode": null,
"StatusCode": 0,
"StatusType": 0,
"Status": "Draft",
"PriorityCode": "HIGH",
"Reason": null,
"Priority": "High",
"NewItemRequestId": 300100151858534,
"NewItemRequestType": "New Item Request",
"NewItemRequestName": "PLM26733_RestWS_NIR00061_ZCH",
"NewItemRequestNumber": "PLM26733_RestWS_NIR00061_ZCH",
"ApprovalStatusValue": "Not submitted for approval",
"OrganizationCode": "V1",
"AssignedTo": "PIMQA",
"RequestedBy": "PIMQA",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534",
"name": "newItemRequests",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534",
"name": "newItemRequests",
"kind": "item"
},
{
"rel": "lov",
"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534/lov/PrioritiesLookupPVO1",
"name": "PrioritiesLookupPVO1",
"kind": "collection"
},
{
"rel": "lov",
"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534/lov/ApprovalStatusTypesLookupPVO",
"name": "ApprovalStatusTypesLookupPVO",
"kind": "collection"
},
{
"rel": "lov",
"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534/lov/UserPVO1",
"name": "UserPVO1",
"kind": "collection"
},
{
"rel": "lov",
"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534/lov/ReasonsLookupPVO1",
"name": "ReasonsLookupPVO1",
"kind": "collection"
},
{
"rel": "lov",
"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534/lov/UserPVO2",
"name": "UserPVO2",
"kind": "collection"
},
{
"rel": "lov",
"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534/lov/LOVForOrganization",
"name": "LOVForOrganization",
"kind": "collection"
},
{
"rel": "lov",
"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534/lov/ChangeOrderTypeVO1",
"name": "ChangeOrderTypeVO1",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534/child/newItemRequestAffectedItems",
"name": "newItemRequestAffectedItems",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151858534/child/newItemRequestsDFF",
"name": "newItemRequestsDFF",
"kind": "collection"
}
]
}